// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/DIO24/DIO24_Linux_8.x.x.x_GSC_DN/samples/irq/main_pci.c $
// $Rev: 44968 $
// $Date: 2019-05-22 16:34:25 -0500 (Wed, 22 May 2019) $

// DIO24: Sample Application: source file

#include "main.h"




//*****************************************************************************
static int _irq_initiate(int fd)
{
	int	errs	= 0;

	// Generate a PCI interrupt: Rise D0
	errs	+= dio24_initialize		(fd, -1, 0);
	errs	+= dio24_gpio_dir_out	(fd, -1, 0, DIO24_GPIO_PORT_A, NULL);	// D0 output
	errs	+= dio24_gpio_tx		(fd, -1, 0, 0, NULL);					// all low
	errs	+= dio24_irq_rise_enable(fd, -1, 0, D0, NULL);					// enable D0 Rise
	errs	+= dio24_gpio_tx		(fd, -1, 0, D0, NULL);					// D0 High

	os_sleep_ms(50);

	errs	+= dio24_initialize		(fd, -1, 0);
	return(errs);
}



//*****************************************************************************
int main_pci_irq_test(int fd)
{
	int	errs;

	errs	= _irq_initiate(fd);
	return(errs);
}


