// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/DIO24/DIO24_Linux_8.x.x.x_GSC_DN/utils/util_count.c $
// $Rev: 52084 $
// $Date: 2022-11-23 10:53:29 -0600 (Wed, 23 Nov 2022) $

// DIO24: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	dio24_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely.
*
*		get		The results are reported here. This may be NULL.
*
*	Returned:
*
*		>= 0	The number of errors seen.
*
******************************************************************************/

int dio24_count_boards(int verbose, s32* get)
{
	int	errs;

	errs	= os_count_boards(verbose, get, dio24_open, dio24_read, dio24_close);

	return(errs);
}



